Subject: Re: bug#27840: 26.0.50; vc-git-grep stopped working on git master

From: [email-masked]
Date: Sun, 30 Jul 2017 14:08:20 -0400

Dmitry Gutov <[email-masked]> writes:

> On 7/27/17 2:32 AM, [email-masked] wrote:
>
>> Perhaps we should
>> instead disable this option by default; when I introduced it, I didn't
>> think about the fact that grep.el is used for not-quite-grep programs as
>> well.
>
> Or we can try to think of them as separate. I.e., the patch below also
> works.

Right, but the question is: are there n+1 other places where we will
need to do this?

> And if we want to use the --null option for vc-git-grep, we can
> construct a derivative alist in vc-git.el.
>
> Up to you, of course.
>
>  	(let ((default-directory dir)
> -	      (compilation-environment (cons "PAGER=" compilation-environment)))
> +	      (compilation-environment (cons "PAGER=" compilation-environment))
> +              grep-use-null-filename-separator)